/**
 * main.js
 *
 * Bootstraps Vuetify and other plugins then mounts the App`
 */

// Plugins
import { registerPlugins } from '@/plugins'
import 'virtual:svg-icons-register'
import '@/styles/index.scss'

// import * as echarts from 'echarts'
import App from './App.vue'
import { createApp } from 'vue'

import { createPinia } from 'pinia'

// import WKSDK from "wukongimjssdk"

import piniaPluginPersistedstate from 'pinia-plugin-persistedstate' // pinia 持久化

// 日期组件
import VueDatePicker from '@vuepic/vue-datepicker';
import '@vuepic/vue-datepicker/dist/main.css'

import router from './router'

import './permission'

const pinia = createPinia()

pinia.use(piniaPluginPersistedstate)


const app = createApp(App)

app.use(pinia)
app.use(router)

// app.config.globalProperties.$echarts = echarts
registerPlugins(app)
app.component('VueDatePicker', VueDatePicker)

app.mount('#app')
